Subject: Re: Normal ftp clients work, Netscape ftp's fail

From: [email-masked]
Date: Mon, 05 Oct 1998 08:37:43 -0500

Hi,

I did the test this morning from 3 differents platforms (Aix, winNT4.0 and win95)
with netscape
communicator and my ftp server is working well from each platform so I guess I
have a problem
with my computer at home. I checked all the answer you gave me and everything was
looking fine
to me.

thanks to all that answer my questions

One more question: How can you see if  "ls" is correctly statically linked?

Stephane

Howie Grapek wrote:

> at quick glance, it looks like ls is failing.
> is there a core file in the ~ftp directory?
> is the ls in ~ftp/bin statically linked?
> if not, you need to have the appropriate libraries for ls
> in the ~ftp/lib or ~ftp/usr/lib (link them together).
> I recommend a statically linked ls, however.
> Howie
>
> >
> > At 05:00 PM 10/4/98 -0400, Gregory A Lundberg wrote:
> > >On Sun, 4 Oct 1998, Stephane Robertson wrote:
> > >
> > >> I have problem with netscape ftp with wu-ftpd 2.4.2 beta 16.
> > >
> > >Which platform, OS and version are you running on?
> >
> > I'm running redhat 5.1 with linux kernel 2.0.34. Initially
> > there was no tcp file in /dev and no ~ftp/dev directory.
> >
> > The problem is that sometimes netscape don't display the
> > directory contents and if I press the stop button the
> > directory contents will be displayed and I will be able
> > to transfer files. I'm running communicator 4.05 for windows.
> > The linux version of communicator was working well without
> > the tcp file in ~ftp/dev.
> >
> > I'm confused !!! May be it's my home computer with the ppp link
> > that cause this problem. I'll try my business computer tomorrow
> > and i'll give some feedback..
> >
> > Can you tell me what the /dev/tcp file do? Is it necessary?
> >
> > Stephane
> >
> > >
> > >> I looked in the faqs and they said to do a chmod of ~ftp/dev/tcp to
> > >> 666 to make netscape working but it still doesn't work after the
> > >> changes.
> > >>
> > >> I'm not certain if it should be a normal file or a device file like
> > >> those in /dev so I also tried creating a caracter file like this one:
> > >>    crw-rw-rw-   1 root     root      18,   3 Oct  4 15:58 tcp
> > >
> > >~ftp/dev should look like /dev.  ~ftp/dev/tcp should look like /dev/tcp
> > >
> > >> What's wrong? do i need a tcp file in /dev also?
> > >
> > >If you don't have one in /dev, you don't need one in ~ftp/dev
> > >
> > >> Can someone help me with this problem??
> > >
> > >You'll need to say more the 'it fails' .. what's failing?  Does it
> > >connect?  Can you transfer files?  Is it that you cannot see the directory
> > >contents?
> > >
> > >The most likely reason is you've not completely set things up.  It's
> > >extremely rare that the vendor's documentation for anonymous FTP plus the
> > >FAQ don't have the answer.
> > >
> > >The location of the latest version of wu-ftpd can be found in the
> > >directory
> > >
> > >      ftp://ftp.academ.com/pub/wu-ftpd/private/
> > >
> > >You can't see the directory contents, so read the message informing you
> > >of the actual filename to retrieve. It's there.
> > >
> > >wu-ftpd Resource Center:  http://www.landfield.com/wu-ftpd/
> > >wu-ftpd FAQ:              http://www.cetis.hvu.nl/~koos/wu-ftpd-faq.html
> > >wu-ftpd list archive:     http://www.landfield.com/wu-ftpd/mail-archive/
> > >--
> > >
> > >Gregory A Lundberg           Senior Partner, VRnet Company
> > >1441 Elmdale Drive              [email-masked]
> > >Kettering, OH 45409-1615 USA    1-800-809-2195
> > >
> > >
> >
>
> --
>                                  \^^^/
>                                  (0 0)
> *****************************ooO*(_)*Ooo*****************************
>
> Howie Grapek
> KnightWeb Technologies, Inc.                    200 N. College Ave.
> phone: (970) 227-2301                            Fort Collins, CO
> email: [email-masked]                             80524
>
> **********************************Oooo.*******************************
>                              .oooO (   )
>                               (   ) ) /
>                                \ ( (_/
>                                 \_)